map = require("maps/map")

function love.load()

tileset = love.graphics.newImage(map.tilesets[1].image)
background = love.graphics.newQuad(0, 0, map.tilesets[1].tilewidth, map.tilesets[1].tileheight, tileset:getDimensions())
wall = love.graphics.newQuad(32, 0, map.tilesets[1].tilewidth, map.tilesets[1].tileheight, tileset:getDimensions())

player = { x = 50, y = 110, h = 32, w = 32, speed = 100 }
walls = { x = {  }, y = {  }, w = map.tilewidth, h = map.tileheight }

i = 0

for gid_x = 0, map.width - 1 do
	
		for gid_y = 0, map.layers[1].height - 1 do
		
			if map.layers[1].data[(gid_y * map.width) + gid_x + 1] == 2 then
			i = i + 1
			walls.x[i] = gid_x * map.tilewidth
			walls.y[i] = gid_y * map.tileheight
			end
		
		end
	
	end
	
for i = 1, table.getn(walls.x) do

end

function player:update(dt)

function player:right()

	player.x = player.x + player.speed * dt

end

function player:left()

	player.x = player.x - player.speed * dt

end

function player:up()

	player.y = player.y - player.speed * dt

end

function player:down()

	player.y = player.y + player.speed * dt

end

end

function isColliding(dt)

	for i = 1, table.getn(walls.x) do
	
			--top
			if player.y < walls.y[i] + walls.h and player.y > walls.y[i] and player.x > walls.x[i] and player.x < walls.x[i] + walls.w then player.y = player.y + player.speed * dt end
			--left
			if player.x < walls.x[i] + walls.w and player.x > walls.x[i] and player.y > walls.y[i] and player.y < walls.y[i] + walls.h then player.x = player.x + player.speed * dt end

	end

end

end

function love.update(dt)

player:update(dt)

isColliding(dt)

--movement
	if love.keyboard.isDown("d") then
		player:right()
	end
		if love.keyboard.isDown("a") then
		player:left()
	end
		if love.keyboard.isDown("w") then
		player:up()
	end
		if love.keyboard.isDown("s") then
		player:down()
	end

end

function love.draw()

love.graphics.setColor(255,255,255)
for gid_x = 0, map.width - 1 do
	
		for gid_y = 0, map.height - 1 do
		
			if map.layers[1].data[(gid_y * map.width) + gid_x + 1] == 1 then quad = background else 
			if map.layers[1].data[(gid_y * map.width) + gid_x + 1] == 2 then quad = wall end end
			
			love.graphics.draw( tileset, quad, gid_x * map.tilesets[1].tilewidth, gid_y * map.tilesets[1].tileheight)
		
		end
	
	end

love.graphics.setColor(255,0,0)
love.graphics.rectangle('fill', player.x, player.y, player.h, player.w)
	
end